All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::RangeSearchResult Struct Reference

`#include <AuxIndexStructures.h>`

## Public Types

typedef Index::idx_t | idx_t

## Public Member Functions

| RangeSearchResult (idx_t nq, bool alloc_lims=true)
| lims must be allocated on input to range_search.
virtual void | do_allocation ()

## Public Attributes

size_t | nq
| nb of queries
size_t * | lims
| size (nq + 1)
idx_t * | labels
| result for query i is labels[lims[i]:lims[i+1]]
float * | distances
| corresponding distances (not sorted)
size_t | buffer_size
| size of the result buffers used

## Detailed Description

The objective is to have a simple result structure while minimizing the number of mem copies in the result. The method do_allocation can be overloaded to allocate the result tables in the matrix type of a srcipting language like Lua or Python.

Definition at line 29 of file AuxIndexStructures.h.

## Member Function Documentation

void faiss::RangeSearchResult::do_allocation | ( |  | ) |

virtual

called when lims contains the nb of elements result entries for each query

Definition at line 37 of file AuxIndexStructures.cpp.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/AuxIndexStructures.h
- /data/users/matthijs/github_faiss/faiss/AuxIndexStructures.cpp